#include "RTE_PWM.h"
#include "TimerB.h"

void PWM_Init(void)
{
    TimerB_PWM_Init();
}
void PWM_Channel_Init(uint8_t Ch, uint8_t ClkSrc, uint8_t Pol, uint8_t Cae, uint8_t IOSel)
{
    TimerB_PWM_Channel_Init(Ch, ClkSrc, TIMERB_HIGH);
    TimerB_PWM_Channel_Start(Ch);
}
void PWM_Channel_Set_Freq(uint8_t Ch, uint32_t Freq)
{
    TimerB_PWM_Channel_Fre_Set(Ch, Freq, 0);
}
void PWM_Channel_Set_Duty(uint8_t Ch, uint32_t Duty)
{
    TimerB_PWM_Channel_Duty_Set(Ch,Duty);
}
void PWM_Channel_Stop(uint8_t Ch)
{
    TimerB_PWM_Channel_Stop(Ch);
}
